Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.logging
Class Request

    java.lang.Object
      net.sourceforge.pebble.logging.CountedUrl
          net.sourceforge.pebble.logging.Request

    public class Request

extends CountedUrl

Represents a requested URL along with a count of how many times it has been accessed.

Author:
  Simon Brown

Field Summary

Fields inherited from class net.sourceforge.pebble.logging.CountedUrl
`blog, NAME_LENGTH_LIMIT`

Constructor Summary
`Request(java.lang.String url)` Creates a new instance representing the specified url.
`Request(java.lang.String url, Blog blog)` Creates a new instance representing the specified url.

Method Summary
`protected void` | `setUrl(java.lang.String url)` Sets the underlying url.

Methods inherited from class net.sourceforge.pebble.logging.CountedUrl
`addLogEntry, equals, getCount, getLogEntries, getName, getTruncatedName, getUrl, hashCode, isFileDownload, isNewsFeed, isPageView, setFileDownload, setName, setNewsFeed, setPageView`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    public Request(java.lang.String url)

  Creates a new instance representing the specified url.

  Parameters:
    `url` - the url as a String

### Request

    public Request(java.lang.String url,
                   Blog blog)

  Creates a new instance representing the specified url.

  Parameters:
    `url` - the url as a String
    `blog` - the owning Blog

Method Detail

### setUrl

    protected void setUrl(java.lang.String url)

  Description copied from class: `CountedUrl`
  Sets the underlying url.

  Overrides:
    `setUrl` in class `CountedUrl`
  Parameters:
    `url` - the url as a String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.